Subject: bug#28747: 26.0.60; Usage of "&rest body" in Edebug specs

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 19 Oct 2019 10:20:28 +0200

Richard Stallman <[email-masked]> writes:

>   > I'm not sure this is worth the code churn, though -- as was pointed out,
>   > virtually all the debug specs gets this right anyway.  Does anybody have
>   > an opinion?
>
> The benefit would be to simplify the specs for Edebug specs.
>
> The cost would be to fix the existing ones -- if they would need changing.
> Would any existing correct ones need changing?

They wouldn't need changing, but it'd be confusing (for people reading
the code) to have some specs with &repeat and some with &rest, so I
think we should change them all if we decide to introduce the &repeat
alias.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no